×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Aug 2009
    Posts
    4

    Installing runtime on LG KT610 fails

    Hi All,

    I'm keen to start programming for S60, however I'm having troubles with installing Python on the test phones I have.
    These are the details:

    Phone: LG KT610, S60 3rd Edition, Feature Pack 1

    I tried to install the following .sis files:
    PythonForS60_1_4_5_3rdEd.sis

    Python_1.9.1_3rdEd.sis

    Python_1.9.2_3rdEd_unsigned_high_capas.sis

    Python_1.9.4.sis

    Python_1.9.6_fixed.sis

    I also obtained: pips_nokia_1_4_SS.sis
    and pips_nokia_1_3_SS.sis


    I transfered the above files to the phone and these are the outcomes of my tires:

    1. I set the date to August 3rd, 2009. This is what I got when I tried to install the above files:
    Python_1.9.6_fixed.sis -> failed with certificate error
    Python_1.9.4.sis -> failed with certificate error
    Python_1.9.2_3rdEd_unsigned_high_capas.sis -> failed with certificate error
    Python_1.9.1_3rdEd.sis -> failed with expired certificate
    PythonForS60_1_4_5_3rdEd.sis -> failed with certificate error

    2. I changed the date to January 1st, 2009.
    Python_1.9.6_fixed.sis -> failed with certificate error
    Python_1.9.4.sis -> failed with certificate error
    Python_1.9.2_3rdEd_unsigned_high_capas.sis -> failed with certificate error
    Python_1.9.1_3rdEd.sis -> INSTALLED SUCCESSFULLY
    PythonForS60_1_4_5_3rdEd.sis -> failed with certificate error

    Because I managed to get 1.9.1 working, I installed PythonScriptShell_1.9.1_3rdEd.sis. That went
    without any problems. Unfortunately, when I tried to run Python shell, it said: "Check if the following components are installed: Python Runtime and PIPS Library". I proceeded by installing pips_nokia_1_4_SS.sis, but neither that file, nor pips_nokia_1_3_SS.sis resolved the issue.

    Finally, I removed everything and changed the date to January 1st, 2010, just to see if that has any effect. I got the same output as in the first set of trials:
    Python_1.9.6_fixed.sis -> failed with certificate error
    Python_1.9.4.sis -> failed with certificate error
    Python_1.9.2_3rdEd_unsigned_high_capas.sis -> failed with certificate error
    Python_1.9.1_3rdEd.sis -> failed with expired certificate
    PythonForS60_1_4_5_3rdEd.sis -> failed with certificate error


    Does anyone have more ideas? The phones have “software installation” set to “All” and “Onlline certic check” to “Off”, so that shouldn't be a problem.

    I would love to be able to install whatever version I want, but right now I'd be fine with getting 1.9.1 to work.



    Thanks,



    Veljko

  2. #2
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Re: Installing runtime on LG KT610 fails

    The only thing you had success in installing was Python_1.9.1_3rdEd.sis, which is self signed by Ensymble certificate. The same failed when you used with January 1st, 2010, because the certificate validy might be over.

    The other files seem to be signed by Nokia content certificate. You would need a manufacturer specific certificate to sign those files and install them. Like Samsung signed a version of PyS60 here for their devices.
    Pankaj Nathani
    www.croozeus.com

  3. #3
    Registered User
    Join Date
    Aug 2009
    Posts
    4

    Re: Installing runtime on LG KT610 fails

    Huh, that's a bad news then.

    If LG didn't sign PyS60 for their devices, I won't be able to install anything but 1.9.1 which, for some reason, doesn't work.
    Are there any workarounds?


    Thanks


    Veljko

  4. #4
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: Installing runtime on LG KT610 fails

    Quote Originally Posted by veljkop View Post
    Huh, that's a bad news then.

    If LG didn't sign PyS60 for their devices, I won't be able to install anything but 1.9.1 which, for some reason, doesn't work.
    Are there any workarounds?
    Are there any LG developer forums, where you could request this? They could sign PyS60 SIS files with their own certificates?

    Cheers,

    --jouni

  5. #5
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Installing runtime on LG KT610 fails

    Quote Originally Posted by JOM View Post
    Are there any LG developer forums, where you could request this?
    Cheers,

    --jouni
    here is one LG developer forum but i dont know if they have any S60 section in that.

    Regards
    Gaba88

  6. #6
    Registered User
    Join Date
    Apr 2009
    Posts
    22

    Red face Re: Installing runtime on LG KT610 fails

    You need to sign the sis files before you can have any hope of installing them. You can go here:
    http://handphone-solution.blogspot.c...s-signing.html
    and follow this tutorial, this is offline and mostly more reliable and much quicker or go to:
    https://www.symbiansigned.com/app/pa...ignedOnline.do
    and type in your email address and the IMEI number (press *#06# to view that on the phone) and upload your sis file, they'll email you a confirmation link and then the download link for the signed sis file. Then just install these new sis files, but I am warning you though, I'm having a lot of trouble myself getting python working on my kt610, after everything has been installed, the python app complains and says:
    "Check the following components are installed.
    >>Python Runtime
    >>PIP Installer"
    And I can find no solution to this, but if you can figure it out please email me at dark_bubblegum@hotmail.com cause i'd love to get python working
    hope that helps

Similar Threads

  1. Replies: 10
    Last Post: 2009-07-01, 04:25

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×